BOOT32(8) | System Manager's Manual (acorn32) | BOOT32(8)

# NAME

`boot32` —
Bootloader for NetBSD/acorn32

# SYNOPSIS

`*boot32` | [`-acdqsv`] [root=rootdir] [file]

# DESCRIPTION

`boot32` is a program that runs under RISC OS and launches the NetBSD/acorn32 kernel. It needs to be installed in a RISC OS filesystem and given file type FFA (Module). The kernel it is to load also needs to be stored in a RISC OS filesystem.

It takes the following standard NetBSD options, which set flags in the boothowto variable in the booted kernel (see boothowto(9)). Not all flags may be effective.

`-a`
  (`RB_ASKNAME`) Cause the kernel to prompt the user for the name of the device containing the root filesystem. This also causes `boot32` to prompt for the name of the kernel to be loaded.
`-s`
  (`RB_SINGLE`) Cause the kernel to ask `init` to boot into single-user mode.
`-d`
  (`RB_KDB`) Cause the kernel to enter the kernel debugger as soon as possible.
`-c`
  (`RB_USERCONF`) Enter the in-kernel device configuration manager before attaching any devices.
`-q`
  (`AB_QUIET`) Cause the kernel to emit fewer messages than normal while starting up.
`-v`
  (`AB_VERBOSE`) Cause the kernel to emit more messages than normal while starting up.

`boot32` attempts to load the kernel from the RISC OS file specified as file, or from netbsd if file is not specified. The file must be an ELF image, and may have been compressed using gzip(1).

## Use as a module

`boot32` is implemented as a RISC OS relocatable module. It can be loaded into memory by running ‘`*RMLoad boot32`’. After this, NetBSD can be booted by running ‘`*boot32`’ as usual, but the command will be handled by the module.

It should also be possible to arrange for `boot32` to be loaded from ROM (e.g., from the ROM on an expansion card), in which case NetBSD could be made to boot automatically by making `boot32` the configured language using ‘`*Configure Language`’.

## Screen display

When it starts up, `boot32` displays the number of 4 kilobyte memory pages it has been delegated by RISC-OS and gives a summary about the memory map as reported by RISC-OS followed by a table of physical memory ranges available to the bootloader. All this information is mainly for bughunting booting problems.

It then checks its internal structures and kicks out RISC-OS, relocates all memory pages loaded in to their final destinations and kickstarts `boot32`.

# FILES

/usr/mdec/boot32,ffa
  The location of `boot32` in the NetBSD filesystem.

# SEE ALSO

gzip(1), reboot(2), ddb(4), userconf(4), init(8), boothowto(9)

# HISTORY

`boot32` was introduced in NetBSD 1.6 as a replacement for the original NetBSD/arm32 bootloader, which was written in BBC BASIC.

# BUGS

`boot32` cannot load kernels from a NetBSD filesystem.

September 4, 2009 | NetBSD 9.4